Bug 636108 - RFE: interface: provide NetworkManager backend for configuring host interfaces
RFE: interface: provide NetworkManager backend for configuring host interfaces
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks: libvirtTodoNetwork
  Show dependency treegraph
 
Reported: 2010-09-21 10:24 EDT by Daniel Berrange
Modified: 2016-03-20 19:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2010-09-21 10:24:21 EDT
Description of problem:
The current netcf backend in libvirt requires root privileges to operate. It should be possible to provide an alternative implementation that talks to NetworkManager to perform changes. This will work as root and non-root.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Laine Stump 2010-09-21 13:16:17 EDT
A current blocker is of course that NM doesn't support the configuration of bridge interfaces. AFAIK, the plan to make that happen is still to have NM use netcf, but no resources have been put on that project.

Since NM is written in python, one prerequisite of that is python bindings for netcf.

I'm not sure where upstream NetworkManager's equivalent of bugzilla is located.
Comment 2 Daniel Berrange 2010-09-21 13:34:33 EDT
Even if NM doesn't yet support bridges, there's still value in letting unprivileged users configure plain eth/wifi interfaces via libvirt, so that NAT based connectivity can be setup. In fact for qemu://session that's pretty much all we want to be able todo via NM. Only changing qemu://system is dependant on bridging/bonding/vlans

Which reminds me that the libvirt/netcf XML/API doesn't have any way to provide wifi keys, or ESSID, channel, etc :-)
Comment 3 Thomas Graf 2011-11-11 12:02:37 EST
Just a FYI, I'm working on getting both bonding and bridging support into NM and it will be available for RHEL7.0.

Can you elaborate on the interfaces you would need on NM's side?

I'd rather have netcf or a small python script be able to write an ifcfg file unprivleged and have NM pick it.

Note You need to log in before you can comment on or make changes to this bug.